For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • POSTCreate resident charge
        • GETGet a resident charge by ID
        • POSTCreate resident credit
        • GETGet all recurring resident charges
        • POSTCreate a recurring resident charge
        • GETGet recurring resident charge by ID
        • PUTUpdate a recurring resident charge
        • GETGet all resident payments
        • POSTCreate resident payment
        • GETGet a resident payment by ID
        • GETGet all fees
        • GETGet fee by ID
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsBilling and Payments

Create resident credit

POST
/v1/resident-credits/
POST
/v1/resident-credits/
$curl -X POST https://api.propexo.com/v1/resident-credits/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
>}'
1{
2 "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
3 "data": {}
4}
Create a resident credit for an integration.
Was this page helpful?
Previous

Get all recurring resident charges

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
lease_idstringOptional
The Propexo unique identifier for the lease
amount_in_centsintegerOptional
The amount of the resident credit, in cents
transaction_datestringOptional
The transaction date of the resident credit
descriptionstringOptional
Description of the resident credit
reference_numberstringOptional
The reference number for the resident charge
resident_idstringOptional
The Propexo unique identifier for the resident
charge_code_idstringOptional
The Propexo unique identifier for the charge code
notesstringOptional
Notes associated with the resident charge
financial_account_idstringOptional
The Propexo unique identifier for the financial account

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error